org.eclipse.emf.cdo.util

## Class LegacyModeNotEnabledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.util.LegacyModeNotEnabledException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  As of 4.2 the legacy mode is always enabled.

      @Deprecated
      public class LegacyModeNotEnabledException
      extends java.lang.IllegalStateException

  An unchecked exception being thrown if legacy objects are to be accessed and the associated `view` is not in `legacy mode`.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyModeNotEnabledException()` Deprecated.
    `LegacyModeNotEnabledException(java.lang.String message)` Deprecated.
    `LegacyModeNotEnabledException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
    `LegacyModeNotEnabledException(java.lang.Throwable cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyModeNotEnabledException

          public LegacyModeNotEnabledException()

      Deprecated.

    - #### LegacyModeNotEnabledException

          public LegacyModeNotEnabledException(java.lang.String message)

      Deprecated.

    - #### LegacyModeNotEnabledException

          public LegacyModeNotEnabledException(java.lang.Throwable cause)

      Deprecated.

    - #### LegacyModeNotEnabledException

          public LegacyModeNotEnabledException(java.lang.String message,
                                               java.lang.Throwable cause)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html